class ShixunInfo < ApplicationRecord
  belongs_to :shixun
  validates_uniqueness_of :shixun_id
  validates_length_of :fork_reason, maximum: 60, message: "不能超过60个字符"
  # validates_presence_of :evaluate_script, message: "实训脚本不能为空"
  after_commit :create_diff_record

  validates :description, length: { maximum: 10000, too_long: "不能超过10000个字符" }


  private

  def create_diff_record
    return unless description_previously_changed?
    CreateDiffRecordJob.perform_later(User.current.id, id, 'ShixunInfo', 'description', description_before_last_save, description)
  end
end
